cURL
curl --request GET \
--url 'https://api.minimo.it/public/v1/tenants/restaurant_4812/subscriptions?email=anna@example.com' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY'const res = await fetch('https://api.minimo.it/public/v1/tenants/restaurant_4812/subscriptions?email=anna@example.com', {
method: 'GET',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
},
});
const { data } = await res.json();
console.log(data);import requests
res = requests.get(
'https://api.minimo.it/public/v1/tenants/restaurant_4812/subscriptions?email=anna@example.com',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/tenants/{tenant}/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/tenants/{tenant}/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.minimo.it/public/v1/tenants/{tenant}/subscriptions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/tenants/{tenant}/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tenant": "restaurant_4812",
"contactId": 4521,
"email": "anna@example.com",
"status": "subscribed",
"source": "booking",
"subscribedAt": "2026-11-08T18:30:00.000Z",
"unsubscribedAt": null,
"evidence": {
"ref": "booking:9921",
"consentedAt": "2026-11-08T19:30:00+01:00"
},
"canReceiveMarketing": true
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Tenants
Get Guest Consent
The consent of one guest of a restaurant, and whether marketing can reach the guest now
GET
/
public
/
v1
/
tenants
/
{tenant}
/
subscriptions
cURL
curl --request GET \
--url 'https://api.minimo.it/public/v1/tenants/restaurant_4812/subscriptions?email=anna@example.com' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY'const res = await fetch('https://api.minimo.it/public/v1/tenants/restaurant_4812/subscriptions?email=anna@example.com', {
method: 'GET',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
},
});
const { data } = await res.json();
console.log(data);import requests
res = requests.get(
'https://api.minimo.it/public/v1/tenants/restaurant_4812/subscriptions?email=anna@example.com',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/tenants/{tenant}/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/tenants/{tenant}/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.minimo.it/public/v1/tenants/{tenant}/subscriptions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/tenants/{tenant}/subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tenant": "restaurant_4812",
"contactId": 4521,
"email": "anna@example.com",
"status": "subscribed",
"source": "booking",
"subscribedAt": "2026-11-08T18:30:00.000Z",
"unsubscribedAt": null,
"evidence": {
"ref": "booking:9921",
"consentedAt": "2026-11-08T19:30:00+01:00"
},
"canReceiveMarketing": true
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Guide: Consent, unsubscribe and preferences. Errors: Errors and limits.